#include "ezwin.h"
#include "position.h"
#include "rect.h"
#include "circle.h"
#include "triangle.h"
#include "square.h"
#include "wobject.h"
#include "shape.h"
#include "bitmap.h"
#include "label.h"
#include <cstdio>

float width= 40.0;
float height= 40.0;
float radius_snake= 0.5;
struct coordinate
{float x;float y;
};
SimpleWindow w("Snake",20,13);
void createmazelev2(SimpleWindow)
{w.RenderLine(Position(6.0,0.0),Position(6.0,12.5),Green,1.0);
 w.RenderLine(Position(0.0,6.0),Position(13,6.0),Blue,1.0);
}
void createmazelev1(SimpleWindow &w)
{w.RenderLine(Position(0.0,0.5),Position(12.5,0.5),Red,1.0);
 w.RenderLine(Position(0.0,12.5), Position(12.5,12.5),Blue,1.0);
 //W.RenderLine(Position(6.0,7.0), Position(10.0,10.0),Black,0.1);
 w.RenderLine(Position(0.5,0.0),Position(0.5,13.0),Green,1.0);
 w.RenderLine(Position(12.5,0.0),Position(12.5,13.0),Blue,1.0);
}
char dir='r';
float snake[100][2];
int size=3;
void snake_initialize()
{int a;
float j=0;
 for(int a=0;a<3;a++)//initialization of snake blocks
 {snake[a][0]=j;snake[a][1]=6.5;
	j=j+radius_snake;
 }
 }   
void snake_move(SimpleWindow &w,int size)
 { 	int i;
	switch(dir)
	{case 'r':snake[0][0]=(snake[0][0]+radius_snake)<13?snake[0][0]+radius_snake:snake[0][0]+radius_snake-13.0;
		  for(i=1;i<size;i++)
		  	{snake[i][0]=snake[i-1][0];
		   	 snake[i][1]=snake[i-1][1];	
		  	}
		 break;
	case 'd':snake[0][1]=(snake[0][1]+radius_snake)<13?snake[0][1]+radius_snake:snake[0][1]+radius_snake-13;
		 for(i=1;i<size;i++)
		  {snake[i][0]=snake[i-1][0];
		   snake[i][1]=snake[i-1][1];	
		  }
		 break;
	case 'l':snake[0][0]=(snake[0][0]-radius_snake)>0?snake[0][0]-radius_snake:snake[0][0]-radius_snake+13;
		 for(i=1;i<size;i++)
		  {snake[i][0]=snake[i-1][0];
		   snake[i][1]=snake[i-1][1];	
		  }
		 break;
	case 'u':snake[0][1]=(snake[0][1]-radius_snake)>0?snake[0][1]-radius_snake:snake[0][1]-radius_snake+13;
++																														 for(i=1;i<size;i++)
		  {snake[i][0]=snake[i-1][0];
		   snake[i][1]=snake[i-1][1];	
		  }
		 break;
	}
}
void snake_display(SimpleWindow &w, int size)
{ 	Bitmap photo(w);
	photo.Load("head.bmp");
	assert(photo.Getstatus()==BitmapOkay);
	photo.setotposition(Position(snake[0][0],snake[0][1]);
	photo.Draw();
	for(i=1;i<size;i++)
	{ Bitmap Photo(w);
	  Photo.Load("body.bmp");
	  assert(Photo.Getstatus()==BitmapOkay);
	  Photo.setotposition(Position(snake[0][0],snake[0][1]);
	  Photo.Draw();
	  }
}	  
int mouseclick(const Position& P)
{ 	if(dir='r'||dir='l')
	 {if (P.GetYdistance()<6.50)  //6.50=13(i.e size of screen)/2
	    dir='u';
	  else 
	   dir='d';
	 }  
	 else
	 {if (P.GetXdistance()<6.50)  //6.50=13(i.e size of screen)/2
	    dir='l';
	  else 
	   dir='r';
	 }
}

int ApiMain()
	
{ //coordinate snake[100],maze[500];
	w.Open();
  	createmazelev1(w);
	usleep(1000000);
	w.Erase(Position(0,0),13,13);
	createmazelev2(w);
	usleep(1000000);w.Close();
  	return 0;
	
	
}













