#include <iostream>
#include <ezwin.h>
#include <cassert>
#include <cmath>
#include "rect.h"
#define topx 26.0
#define topy 10.0
SimpleWindow HelloWindow1(" First Graph", topx +2.5 ,topy+2, Position(0.0,0.0));;//window size 30*22
SimpleWindow HelloWindow2(" Second Graph", topx+2.5 ,topy+2, Position(0.0,0.0));;//window size 30*22
SimpleWindow HelloWindow3(" Third Graph", topx+2.5,topy+2, Position(0.0,0.0));;//window size 30*22
int xwindow = topx ,  ywindow= topy ;
#include "includehead.h"

using namespace std;





int ApiMain(){
	int counter=0;
	
	
	
	FunctionParser fparser;
	z=0; int i=0;
	char filename[30];
	FILE* fp;
	cout<<"give the input file name  :";
	cin>>filename;
	
	
	fp=fopen(filename,"r");
	
	//checking whether opening succesful or not
	if(fp==NULL){
		cout<<"could not open file\n";
		return -1;
	}
	
	//    at this point file successfully opened and now we proceed
		
		
		
	cout<<"\nnow please wait \n PROCESSING.....   .....   .....   .....   ......  ......   ......    ......   .....     .......\n";
	char c;
	
	c=mygetc(fp);int val;				//to indicate validation
	
		
	if(c=='H') {cout<<"histogram not supported yet\n";return -1;}  
	
	
	else if(c=='G'){	
		c=mygetc(fp);	
		while(c!='~'){
			counter++;
			if(c=='f'){
				//STEP 1  : RESET DEFAULTS	
				reset();		//everything for this particular function function starts here.....
				//STEP 2  : READ
				read(fp,&c);              //this reads all the details of the function no z from text file  and stores them in the function structure  :  f
				
				
				//STEP 3  :VALIDATE INPUT DATA
				debug(i);
				val=validate();
				if (val==1){cout<<"\nVALIDATION successful.further processing...\n";}	
				else{continue;}
				//STEP 4  : PARSE
				val=parseit(fparser);
				if(val==0){cout<<"\nerror in function expression ........ skipping the function\n"; continue;}
				cout<<"\n abs minimum= "<<f.absmin<<"\t abs maximum = "<<f.absmax<<endl;         //ashish
				
				//cout<<eval(1,fparser)<<endl;						//ashish
				
				//STEP 5  :OTHER CALCULATIONS
				
				//STEP 6  : PLOT THE GRAPH 
				
				//cout<<xwindow<<"\t"<<ywindow<<"\n";
				if(counter==1){
				HelloWindow1.Open();
				assert(HelloWindow1.GetStatus() == WindowOpen);
				output1();
				}
				
				else if(counter==2){
				HelloWindow2.Open();
				assert(HelloWindow2.GetStatus() == WindowOpen);
				output2();
				}
				
				else if(counter==3){
				HelloWindow3.Open();
				assert(HelloWindow3.GetStatus() == WindowOpen);
				output3();
				}	
	
				
			
			}
		}
	}
	
	else{ cout<<"ERROR IN SYNTAX OF STARTING KEYWORD \n VALID keyword are G and H\n";}
	
	
		
		
		
		
		
		
		
		
		
		
		
		
		
return 0;			
}	
	
	
	

